CVE-2010-4162

NameCVE-2010-4162
DescriptionMultiple integer overflows in fs/bio.c in the Linux kernel before 2.6.36.2 allow local users to cause a denial of service (system crash) via a crafted device ioctl to a SCSI device.
SourceCVE (at NVD; LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-2153-1
NVD severitymedium (attack range: local)

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linux-2.6source(unstable)2.6.32-29medium
linux-2.6sourcelenny2.6.26-26lenny2mediumDSA-2153-1
user-mode-linuxsourcelenny2.6.26-1um-2+26lenny2mediumDSA-2153-1

Search for package or bug name: Reporting problems